import { NestFactory } from '@nestjs/core';
import { AppModule, CronModule } from './app.module';

(async () => {
  await NestFactory.createApplicationContext(CronModule);
  const app = await NestFactory.create(AppModule);
  app.enableCors();

  await app.listen(3000);
  console.log(`Application is running on: ${await app.getUrl()}`);
})();
